Bug 11524 - install with DHCP not work when booting with pcmcia diskette
install with DHCP not work when booting with pcmcia diskette
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-19 10:44 EDT by Eric Doutreleau
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-11 11:50:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Doutreleau 2000-05-19 10:44:41 EDT
Hi

I 'm trying to install a NEC Versa with Redhat Linux 6.2
I would like to make an FTP install with getting my adress with DHCP.
and it doesn t work
The client seem to get all the correct information from the DHCP server
( on the alternate console ) but don't
initialize the ethernet card.
On the contrary when i set fixed ip adress all is working fine.

There s one strange thing on the windows DHCP server. The adresse which
is attributed by the server is mark expired.
Comment 1 Erik Troan 2000-08-05 09:55:35 EDT
Does the system work properly after insall if you switch it to DHCP?
Comment 2 Marc Schmitt 2000-08-11 05:31:49 EDT
Hello

I can confirm this behaviour.
I`m using a ThinkPad 600E and tried to do a kickstart install with several 3com
NICs over NFS.

In case I provide static network information, everything works fine and the
installation completes succesfully.
When switching to DHCP, the following happens:

On Alt-F4 I see that all necessary information was received from the DHCP server
and on the main screen installation starts. After every package is installed,
the installer enters the Post Install and will never end it.
Doing a top on chroot /mnt/sysimage shows that anaconda is running with 99.8%
CPU, obviously in an endless-loop.

I killed the process and the installer terminates.
The installed system is bootable but missing the stuff done by Post Install.

Installing with static network addresses and switch the freshly installed system
to DHCP works fine.

Greetings
Marc
Comment 3 Erik Troan 2000-08-11 11:02:26 EDT
This is different behavior from the original post. Does "ps axf" show any
processes running as
a child of pid 10? Can you attach an strace to pid 10 and see what it's doing?
Comment 4 Marc Schmitt 2000-08-11 11:50:33 EDT
Hi

Sorry, it`s not the same bahaviour, of course.

ps axf shows:
------------------------
  PID TTY      STAT   TIME COMMAND
    1 ?        SW     0:05 [swapper]
    2 ?        SW     0:08 [kflushd]
    3 ?        SW     0:04 [kupdate]
    4 ?        SW     0:00 [kpiod]
    5 ?        SW     0:04 [kswapd]
    6 ?        SW<    0:00 [mdrecoveryd]
    7 tty1     SW     0:00 [linuxrc]
    8 tty1     SW     0:00  \_ [linuxrc]
    9 tty1     S      7:58  \_ python /usr/bin/anaconda -m dir://mnt/source/.
--   
  24 tty1     SW     0:03      \_ [rpciod]
  25 tty2     S      0:00      \_ -/bin/sh
 985 tty2     S      0:00      |   \_ /bin/bash -i
 988 tty2     R      0:00      |       \_ ps axf
   38 tty1     S      0:00      \_ python /usr/bin/anaconda --syslogd
/mnt/sysim  
 984 tty1     R      2:47      \_ python /usr/bin/anaconda -m dir://mnt/source/
--------------------------

strace -p9 shows:
--------------------------
wait4(984,
--------------------------

strace -p984 repeats endlessly the following 3 lines:
--------------------------
read(2, "", 1)                               = 0
select(3, [2], NULL, NULL, {0, 0})   = 1 (in [2], left {0, 0})
select(3, [2], NULL, NULL, {10, 0}) = 1 (in [2], left {10, 0})
--------------------------


Regards
Marc
Comment 5 Erik Troan 2000-08-11 12:01:25 EDT
What does ls -l /proc/fd/984
Comment 6 Marc Schmitt 2000-08-11 12:28:20 EDT
ls -l /proc/984/fd/ shows:
------------------------------
lrwx------    1 root     root           64 Aug 11 14:23 0 -> /dev/tty1
lrwx------    1 root     root           64 Aug 11 14:23 1 -> /dev/null
lrwx------    1 root     root           64 Aug 11 14:23 10 -> /dev/tty5
lrwx------    1 root     root           64 Aug 11 14:23 11 -> /dev/tty5
lrwx------    1 root     root           64 Aug 11 14:23 12 -> /dev/tty5
lrwx------    1 root     root           64 Aug 11 14:23 13 -> /dev/tty5
lrwx------    1 root     root           64 Aug 11 14:23 14 -> /dev/tty5
lrwx------    1 root     root           64 Aug 11 14:23 15 -> /dev/null
lrwx------    1 root     root           64 Aug 11 14:23 2 -> /dev/null
lr-x------    1 root     root           64 Aug 11 14:23 3 ->
/mnt/source/RedHat/instimage/usr/bin/anaconda
l-wx------    1 root     root           64 Aug 11 14:23 4 -> /dev/tty3
lrwx------    1 root     root           64 Aug 11 14:23 5 -> socket:[37]
lr-x------    1 root     root           64 Aug 11 14:23 6 -> /dev/mem
lrwx------    1 root     root           64 Aug 11 14:23 7 -> socket:[38]
lrwx------    1 root     root           64 Aug 11 14:23 8 -> /dev/tty5
lrwx------    1 root     root           64 Aug 11 14:23 9 -> socket:[49]
----------------------------
Comment 7 Erik Troan 2000-08-11 12:47:37 EDT
Is this a standard 6.2 install or a beta version?
Comment 8 Marc Schmitt 2000-08-11 12:56:00 EDT
Standard ReadHat 6.2 with pcmcia-20000407.img boot disk image.
Comment 9 Marc Schmitt 2000-08-23 10:19:47 EDT
I could isolate the problem.

Anaconda only hangs when the following line in ks.cfg is used:
auth --useshadow --enablenis

Adding to this line --nisdomain what.ever.domain or more switches (nisserver)
will make the installation complete without hanging.

The reference manual says:
  --enablenis

  Turns on NIS support. By default, --enablenis uses whatever domain it finds on
the network.
  A domain should almost always be set by hand (via --nisdomain). 


Almost always should be clarified, imo.

Regards
Marc
Comment 10 Eric Doutreleau 2000-08-30 06:15:05 EDT
I have exactly the same probleme as the original post for pinstripe.
does the fix is included in pinstripe?

Note You need to log in before you can comment on or make changes to this bug.